> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Spec Qa

> List all Q&A items for a spec.



## OpenAPI

````yaml /openapi.json get /api/v1/specs/{spec_id}/qa
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/specs/{spec_id}/qa:
    get:
      tags:
        - specs
      summary: List Spec Qa
      description: List all Q&A items for a spec.
      operationId: list_spec_qa_api_v1_specs__spec_id__qa_get
      parameters:
        - in: path
          name: spec_id
          required: true
          schema:
            title: Spec Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SpecQAResponse'
                title: Response List Spec Qa Api V1 Specs  Spec Id  Qa Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    SpecQAResponse:
      description: Schema for spec Q&A response.
      properties:
        allow_free_text:
          default: false
          title: Allow Free Text
          type: boolean
        answer:
          anyOf:
            - type: string
            - type: 'null'
          title: Answer
        answered_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Answered At
        answered_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Answered By
        asked_by:
          title: Asked By
          type: string
        choices:
          anyOf:
            - items:
                $ref: '#/components/schemas/SpecQAChoiceOption'
              type: array
            - type: 'null'
          title: Choices
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        question:
          title: Question
          type: string
        question_type:
          default: text
          title: Question Type
          type: string
        selected:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Selected
        spec_id:
          title: Spec Id
          type: string
      required:
        - id
        - spec_id
        - question
        - answer
        - asked_by
        - answered_by
        - created_at
        - answered_at
      title: SpecQAResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SpecQAChoiceOption:
      description: A single option in a spec Q&A choice question.
      properties:
        id:
          title: Id
          type: string
        label:
          title: Label
          type: string
      required:
        - id
        - label
      title: SpecQAChoiceOption
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````